<?php
namespace Claromentis\News\Comments;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_d3c72043723006b" . "659492f087ddf1fd" . "f" => base64_decode("bmV3c" . "w=="), "_d50d529d5739d103bc48e65a4b51" . "3fe3" => base64_decode("Q29tbWVudEFkZGVkRXZlbnRSZWNl" . "aXZlcg=="), "_4e7af63a0a4c1eafe5742f79" . "5b98e323" => base64_decode("TmV3cyBj" . "b21tZW50" . "ICM="), "_2e799a34cc60c12ca876d27b573a11" . "eb" => base64_decode("IGFkZ" . "GVk"), "_e8d7d527b284cadd317dfbdb1" . "0b34e4e" => base64_decode("Q29tbWVudFVwZGF0ZWRFdmV" . "udFJlY2VpdmVy"), "commen" . "t" => base64_decode("Y29tbWVu" . "dA=="), "_191a9c694701b5e98f9b" . "02b73105f5cf" => base64_decode("Q29tbWVudERlbGV0ZWR" . "FdmVudFJlY2VpdmVy"));
use ClaAudit;
use Claromentis\Comments\Events\CommentAddedEvent;
use Claromentis\Comments\Events\CommentDeletedEvent;
use Claromentis\Comments\Events\CommentUpdatedEvent;
use Claromentis\Comments\Model\Comment;
use Claromentis\Search\Indexing\IndexingQueue;
use Claromentis\Search\ItemType\Indexing\News;
use NewsItem;
use Symfony\Component\EventDispatcher\EventDispatcherInterface;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;






class CommentsSubscriber implements EventSubscriberInterface
{
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public static function getSubscribedEvents()
    {
        return [CommentAddedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_d50d529d5739d103bc48e6" . "5a4b513fe3"], CommentDeletedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_191a9c694701b5e98" . "f9b02b73105f5cf"], CommentUpdatedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_e8d7d527" . "b284cadd3" . "17dfbdb10" . "b34e4e"]];
    }
    public function CommentAddedEventReceiver(CommentAddedEvent $event, $_5693d84b45564f912e36404cbe8957e8, EventDispatcherInterface $dispatcher)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            
            
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                ClaAudit::Store(AUDIT_SUCCESS, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_d3c72043723006b659" . "492f087ddf1fdf"], $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["commen" . "t"], $comment->object_id, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_4e7af63a0" . "a4c1eafe57" . "42f795b98e" . "323"] . $comment->id . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_2e799a3" . "4cc60c12" . "ca876d27" . "b573a11e" . "b"]);
                $event->stopPropagation();
            }
        }
    }
    public function CommentDeletedEventReceiver(CommentDeletedEvent $event)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                $event->stopPropagation();
            }
        }
    }
    public function CommentUpdatedEventReceiver(CommentUpdatedEvent $event)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                $event->stopPropagation();
            }
        }
    }
}